diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-MV.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-MV.rdf
index 1deec2b..0fd8566 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-MV.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-MV.rdf
@@ -450,90 +290,59 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Seenu
+    // Kolhumadulu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;Seenu">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;Kolhumadulu">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Seenu</rdfs:label>
-      <skos:definition>The administrative atoll of Seenu in the country of Maldives</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-mv;South"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Addu Atholhu</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Seenu</lcc-cr:hasEnglishShortName>
+      <rdfs:label>Kolhumadulu</rdfs:label>
+      <skos:definition>The administrative atoll of Kolhumadulu in the country of Maldives</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Kolhumadulu</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Kolhumadulu</lcc-cr:hasEnglishShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-01">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-08">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative atoll of Seenu in the country of Maldives</skos:definition>
-      <rdfs:label>MV-01</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-01</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;Seenu"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;Seenu"/>
+      <skos:definition>subdivision code for the administrative atoll of Kolhumadulu in the country of Maldives</skos:definition>
+      <rdfs:label>MV-08</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-08</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;Kolhumadulu"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;Kolhumadulu"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // South Central
+    // Mulaku Atoll
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;SouthCentral">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MulakuAtoll">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>South Central</rdfs:label>
-      <skos:definition>The province of South Central in the country of Maldives</skos:definition>
+      <rdfs:label>Mulaku Atoll</rdfs:label>
+      <skos:definition>The administrative atoll of Mulaku Atoll in the country of Maldives</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Medhu-Dhekunu</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">South Central</lcc-cr:hasEnglishShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;Province"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
-   </owl:NamedIndividual>
-
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-SC">
-      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of South Central in the country of Maldives</skos:definition>
-      <rdfs:label>MV-SC</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-SC</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;SouthCentral"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;SouthCentral"/>
-      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
-   </owl:NamedIndividual>
-
-  <!--
-    ///////////////////////////////////////////////////////////////////////////////////////
-    //
-    // Gaafu Alifu
-    //
-    ///////////////////////////////////////////////////////////////////////////////////////
-    -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;GaafuAlifu">
-      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Gaafu Alifu</rdfs:label>
-      <skos:definition>The administrative atoll of Gaafu Alifu in the country of Maldives</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-mv;SouthCentral"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Huvadhu Atholhu Uthuruburi</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Gaafu Alifu</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Mulaku Atoll</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Mulakatholhu</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-27">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-12">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative atoll of Gaafu Alifu in the country of Maldives</skos:definition>
-      <rdfs:label>MV-27</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-27</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;GaafuAlifu"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;GaafuAlifu"/>
+      <skos:definition>subdivision code for the administrative atoll of Mulaku Atoll in the country of Maldives</skos:definition>
+      <rdfs:label>MV-12</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-12</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;MulakuAtoll"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;MulakuAtoll"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
@@ -543,61 +352,59 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Gaafu Dhaalu
+    // North Nilandhe Atoll
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;GaafuDhaalu">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;NorthNilandheAtoll">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Gaafu Dhaalu</rdfs:label>
-      <skos:definition>The administrative atoll of Gaafu Dhaalu in the country of Maldives</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-mv;SouthCentral"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Huvadhu Atholhu Dhekunuburi</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Gaafu Dhaalu</lcc-cr:hasEnglishShortName>
+      <rdfs:label>North Nilandhe Atoll</rdfs:label>
+      <skos:definition>The administrative atoll of North Nilandhe Atoll in the country of Maldives</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">North Nilandhe Atoll</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Nilandheatholhu Uthuruburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-28">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-14">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative atoll of Gaafu Dhaalu in the country of Maldives</skos:definition>
-      <rdfs:label>MV-28</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-28</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;GaafuDhaalu"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;GaafuDhaalu"/>
+      <skos:definition>subdivision code for the administrative atoll of North Nilandhe Atoll in the country of Maldives</skos:definition>
+      <rdfs:label>MV-14</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-14</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;NorthNilandheAtoll"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;NorthNilandheAtoll"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Male
+    // South Nilandhe Atoll
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;Male">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;SouthNilandheAtoll">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Male</rdfs:label>
-      <skos:definition>The capital of Male in the country of Maldives</skos:definition>
+      <rdfs:label>South Nilandhe Atoll</rdfs:label>
+      <skos:definition>The administrative atoll of South Nilandhe Atoll in the country of Maldives</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Male</lcc-cr:hasEnglishShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Maale</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;Capital"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">South Nilandhe Atoll</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Nilandheatholhu Dhekunuburi</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-MLE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-17">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the capital of Male in the country of Maldives</skos:definition>
-      <rdfs:label>MV-MLE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-MLE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;Male"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;Male"/>
+      <skos:definition>subdivision code for the administrative atoll of South Nilandhe Atoll in the country of Maldives</skos:definition>
+      <rdfs:label>MV-17</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-17</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;SouthNilandheAtoll"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;SouthNilandheAtoll"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
@@ -607,57 +414,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // North
+    // South Maalhosmadulu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;North">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;SouthMaalhosmadulu">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>North</rdfs:label>
-      <skos:definition>The province of North in the country of Maldives</skos:definition>
+      <rdfs:label>South Maalhosmadulu</rdfs:label>
+      <skos:definition>The administrative atoll of South Maalhosmadulu in the country of Maldives</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Uthuru</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">North</lcc-cr:hasEnglishShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;Province"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
-   </owl:NamedIndividual>
-
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-NO">
-      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of North in the country of Maldives</skos:definition>
-      <rdfs:label>MV-NO</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-NO</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;North"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;North"/>
-      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
-   </owl:NamedIndividual>
-
-  <!--
-    ///////////////////////////////////////////////////////////////////////////////////////
-    //
-    // Raa
-    //
-    ///////////////////////////////////////////////////////////////////////////////////////
-    -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;Raa">
-      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Raa</rdfs:label>
-      <skos:definition>The administrative atoll of Raa in the country of Maldives</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-mv;North"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Maalhosmadulu Uthuruburi</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Raa</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">South Maalhosmadulu</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Maalhosmadulu Dhekunuburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-13">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-20">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative atoll of Raa in the country of Maldives</skos:definition>
-      <rdfs:label>MV-13</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-13</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;Raa"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;Raa"/>
+      <skos:definition>subdivision code for the administrative atoll of South Maalhosmadulu in the country of Maldives</skos:definition>
+      <rdfs:label>MV-20</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-20</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;SouthMaalhosmadulu"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;SouthMaalhosmadulu"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
@@ -667,28 +445,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Lhaviyani
+    // South Thiladhunmathi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;Lhaviyani">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;SouthThiladhunmathi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Lhaviyani</rdfs:label>
-      <skos:definition>The administrative atoll of Lhaviyani in the country of Maldives</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-mv;North"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Faadhippolhu</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Lhaviyani</lcc-cr:hasEnglishShortName>
+      <rdfs:label>South Thiladhunmathi</rdfs:label>
+      <skos:definition>The administrative atoll of South Thiladhunmathi in the country of Maldives</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">South Thiladhunmathi</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Thiladhunmathee Dhekunuburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-03">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-23">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative atoll of Lhaviyani in the country of Maldives</skos:definition>
-      <rdfs:label>MV-03</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-03</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;Lhaviyani"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;Lhaviyani"/>
+      <skos:definition>subdivision code for the administrative atoll of South Thiladhunmathi in the country of Maldives</skos:definition>
+      <rdfs:label>MV-23</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-23</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;SouthThiladhunmathi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;SouthThiladhunmathi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
@@ -698,28 +476,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Baa
+    // North Miladhunmadulu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;Baa">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;NorthMiladhunmadulu">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Baa</rdfs:label>
-      <skos:definition>The administrative atoll of Baa in the country of Maldives</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-mv;North"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Maalhosmadulu Dhekunuburi</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Baa</lcc-cr:hasEnglishShortName>
+      <rdfs:label>North Miladhunmadulu</rdfs:label>
+      <skos:definition>The administrative atoll of North Miladhunmadulu in the country of Maldives</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">North Miladhunmadulu</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Miladhunmadulu Uthuruburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-20">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-24">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative atoll of Baa in the country of Maldives</skos:definition>
-      <rdfs:label>MV-20</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-20</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;Baa"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;Baa"/>
+      <skos:definition>subdivision code for the administrative atoll of North Miladhunmadulu in the country of Maldives</skos:definition>
+      <rdfs:label>MV-24</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-24</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;NorthMiladhunmadulu"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;NorthMiladhunmadulu"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
@@ -729,90 +507,90 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Noonu
+    // South Miladhunmadulu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;Noonu">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;SouthMiladhunmadulu">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Noonu</rdfs:label>
-      <skos:definition>The administrative atoll of Noonu in the country of Maldives</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-mv;North"/>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Noonu</lcc-cr:hasEnglishShortName>
+      <rdfs:label>South Miladhunmadulu</rdfs:label>
+      <skos:definition>The administrative atoll of South Miladhunmadulu in the country of Maldives</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
       <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Miladhunmadulu Dhekunuburi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">South Miladhunmadulu</lcc-cr:hasEnglishShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
    <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-25">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative atoll of Noonu in the country of Maldives</skos:definition>
+      <skos:definition>subdivision code for the administrative atoll of South Miladhunmadulu in the country of Maldives</skos:definition>
       <rdfs:label>MV-25</rdfs:label>
       <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-25</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;Noonu"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;Noonu"/>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;SouthMiladhunmadulu"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;SouthMiladhunmadulu"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Upper North
+    // Male Atoll
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;UpperNorth">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MaleAtoll">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Upper North</rdfs:label>
-      <skos:definition>The province of Upper North in the country of Maldives</skos:definition>
+      <rdfs:label>Male Atoll</rdfs:label>
+      <skos:definition>The administrative atoll of Male Atoll in the country of Maldives</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Upper North</lcc-cr:hasEnglishShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Mathi-Uthuru</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;Province"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Male Atoll</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Maaleatholhu</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-UN">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-26">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Upper North in the country of Maldives</skos:definition>
-      <rdfs:label>MV-UN</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-UN</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;UpperNorth"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;UpperNorth"/>
+      <skos:definition>subdivision code for the administrative atoll of Male Atoll in the country of Maldives</skos:definition>
+      <rdfs:label>MV-26</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-26</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;MaleAtoll"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;MaleAtoll"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Haa Alifu
+    // North Huvadhu Atoll
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;HaaAlifu">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;NorthHuvadhuAtoll">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Haa Alifu</rdfs:label>
-      <skos:definition>The administrative atoll of Haa Alifu in the country of Maldives</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-mv;UpperNorth"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Thiladhunmathee Uthuruburi</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Haa Alifu</lcc-cr:hasEnglishShortName>
+      <rdfs:label>North Huvadhu Atoll</rdfs:label>
+      <skos:definition>The administrative atoll of North Huvadhu Atoll in the country of Maldives</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Maldives"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">North Huvadhu Atoll</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="dv">Huvadhuatholhu Uthuruburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-mv;AdministrativeAtoll"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-07">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-mv;MV-27">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative atoll of Haa Alifu in the country of Maldives</skos:definition>
-      <rdfs:label>MV-07</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-07</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;HaaAlifu"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;HaaAlifu"/>
+      <skos:definition>subdivision code for the administrative atoll of North Huvadhu Atoll in the country of Maldives</skos:definition>
+      <rdfs:label>MV-27</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MV-27</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-mv;NorthHuvadhuAtoll"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-mv;NorthHuvadhuAtoll"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-mv;"/>
    </owl:NamedIndividual>
